Package bitel.billing.server.tariff.voice.bean

# Class GeographicCode

java.lang.Object
bitel.billing.server.tariff.voice.bean.GeographicCode

    public final class GeographicCode
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GeographicCode()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addSubCode​(GeographicCode code)` |
  `java.lang.String` | `getCode()` |
  `java.lang.String` | `getDest()` |
  `int` | `getDestId()` |
  `int` | `getEndLevel()` |
  `int` | `getStartLevel()` |
  `java.util.List<GeographicCode>` | `getSubList()` |
  `java.lang.String` | `getZone()` |
  `int` | `getZoneId()` |
  `void` | `setCode​(java.lang.String code)` |
  `void` | `setDest​(java.lang.String dest)` |
  `void` | `setDestId​(int destId)` |
  `void` | `setEndLevel​(int endLevel)` |
  `void` | `setStartLevel​(int startLevel)` |
  `void` | `setZone​(java.lang.String zone)` |
  `void` | `setZoneId​(int zoneId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeographicCode

    public GeographicCode()

- ## Method Details

  - ### getEndLevel

    public int getEndLevel()

  - ### setEndLevel

    public void setEndLevel​(int endLevel)

  - ### getStartLevel

    public int getStartLevel()

  - ### setStartLevel

    public void setStartLevel​(int startLevel)

  - ### getZone

    public java.lang.String getZone()

  - ### setZone

    public void setZone​(java.lang.String zone)

  - ### getZoneId

    public int getZoneId()

  - ### setZoneId

    public void setZoneId​(int zoneId)

  - ### getDest

    public java.lang.String getDest()

  - ### setDest

    public void setDest​(java.lang.String dest)

  - ### getCode

    public java.lang.String getCode()

  - ### setCode

    public void setCode​(java.lang.String code)

  - ### getDestId

    public int getDestId()

  - ### setDestId

    public void setDestId​(int destId)

  - ### getSubList

    public java.util.List<GeographicCode> getSubList()

  - ### addSubCode

    public void addSubCode​(GeographicCode code)